<?php

namespace App\Classes\Modules\Orders\DataTransferObjects;


use App\Classes\General\Interfaces\DataTransferObject;
use App\Classes\ValueObjects\Constants\ApprovalStatus;

class OrderObject  implements DataTransferObject
{

    /** @var int */
    private $reference;

    /** @var int  */
    private $type;

    /** @var int|null  */
    private $status;

    /**
     * OrderObject constructor.
     * @param int $reference
     * @param int $type
     * @param int|null $status
     */
    public function __construct(int $reference, int $type, ?int $status = ApprovalStatus::PENDING_VERIFICATION)
    {
        $this->reference = $reference;
        $this->type = $type;
        $this->status = $status;
    }

    /**
     * @return int
     */
    public function getReference(): int
    {
        return $this->reference;
    }

    /**
     * @return int
     */
    public function getType(): int
    {
        return $this->type;
    }

    /**
     * @return int
     */
    public function getStatus(): int
    {
        return $this->status;
    }


}
